crud-file-server node module 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1198264 漏洞类型 跨站脚本
发布时间 2018-06-08 更新时间 2018-06-08
CVE编号 CVE-2018-3726 CNNVD-ID CNNVD-201806-415
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201806-415
|漏洞详情
crud-file-server node module是一款支持创建、读取、更新和删除功能的文件服务器。 crud-file-server node module 0.8.0之前版本中存在跨站脚本漏洞,该漏洞源于程序缺少对文件名的验证。远程攻击者可利用该漏洞执行恶意的JavaScript代码。
|参考资料

来源:github.com

链接:https://github.com/omphalos/crud-file-server/commit/4155bfe068bf211b49a0b3ffd06e78cbaf1b40fa


来源:hackerone.com

链接:https://hackerone.com/reports/311101